Base Classes
======================================

.. module:: pyo

Here are defined the base classes implementing common behaviors for 
the different kinds of objects in the library.

*PyoObjectBase*
--------------------------------------

.. autoclass:: PyoObjectBase
   :members:

*PyoObject*
--------------------------------------

.. autoclass:: PyoObject
   :members:

*PyoTableObject*
--------------------------------------

.. autoclass:: PyoTableObject
   :members:

*PyoMatrixObject*
--------------------------------------

.. autoclass:: PyoMatrixObject
   :members:

*PyoPVObject*
--------------------------------------

.. autoclass:: PyoPVObject
   :members:

